db_result_list Struct Reference

`#include <db_result.h>`

## Data Fields

db_result_t * | begin
db_result_t * | end
db_result_t * | current
db_result_list_next_t | next_function
void * | next_data
size_t | size
int | begun

## Detailed Description

A list of database results.

Definition at line 114 of file db_result.h.

## Field Documentation

## begin

db_result_t* db_result_list::begin

Definition at line 115 of file db_result.h.

Referenced by db_result_list_copy().

## begun

int db_result_list::begun

Definition at line 121 of file db_result.h.

## current

db_result_t* db_result_list::current

Definition at line 117 of file db_result.h.

Referenced by db_result_list_copy().

## end

db_result_t* db_result_list::end

Definition at line 116 of file db_result.h.

## next_data

void* db_result_list::next_data

Definition at line 119 of file db_result.h.

## next_function

db_result_list_next_t db_result_list::next_function

Definition at line 118 of file db_result.h.

Referenced by db_result_list_copy().

## size

size_t db_result_list::size

Definition at line 120 of file db_result.h.

The documentation for this struct was generated from the following file:

- src/db/db_result.h